CHCAT(8)

NAME
chcat - change SELinux security categories of files/users

SYNOPSIS
chcat category file...
chcat -l category user...
chcat [[+|-]category...] file...
chcat -l [[+|-]category...] user...
chcat [-d] file...
chcat -l [-d] user...
chcat -L [ -l ] [ user ... ]

DESCRIPTION

Use +/- to add/remove categories from a file or user (only a single category can be specified at a time). Or specify the desired list/range of categories to be applied (replacing the existing categories).

Note: When removing a category you must specify '--' on the command line before using the -Category syntax. This tells the command that you have finished entering options and are now specifying a category name instead.

-d  delete all categories from given FILE/USER.

-L  list available categories.

-l  Tells chcat to operate on users instead of files.

EXAMPLE
Replace categories of user "test" with c0.c6
# chcat -l c0.c6 test
Add category c1023 to user "test"
# chcat -l +c1023 test
Remove category c5 from file "file"
# chcat -- -c5 file
Remove all categories from file "file"
# chcat -d file

SEE ALSO

chcon(1), selinux(8), semanage(8)

When operating on files this script wraps the chcon command.

FILES
/etc/selinux/{SELINUXTYPE}/setrans.conf
/etc/selinux/{SELINUXTYPE}/seusers